Subject: RE: AW: [Sip] SIPIT Interop problem with ;user=phone

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 25 Aug 2003 11:49:17 -0400

> As I said in my original post on this topic, unless someone
> wants to invest the effort required to definite precise
> semantics of "user=phone", it needs to be deprecated. The
> current situation is causing demonstrable interop problems.
> 
> You sound like you're pretty motivated to fix the problem.
> Perhaps you can put together an i-d that clarifies the
> precise meaning of "user=phone".

I can do that.  

Anyone want to argue that user=phone should not be interpretted
as a dial string?  I understand why reading the tea leaves of the
current RFCs leads to confusion, but I think there is good reason
to send dial strings sometimes, and I don't think there is any
other reason for user=phone.  I know that some phones DO have
internal translations, and they do send user=phone with a global
number, but that's a valid dial string, no?  I'd propose to
deprecate that (use a tel uri), but allow it for backwards
compatibility

Brian

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 25 Aug 2003 11:48:36 -0700

sip:[email-masked] means send it to foo.com and foo will figure it out.

sip:[email-masked];user=phone means send to to foo.com and foo will figure it
out. 

Right now it is totally random if the UA puts in the user=phone or not and
the proxies (as far as I can tell) mostly ignore it. I'm having a hard time
figuring out what the requirement is for this extra 1 bit of information
that currently has no semantic meaning. There is a certain amount of
operational experience that indicates this flag is not needed.

I think the whole thing is bogus unless someone can clearly state a
requirement that says why the proxy might need to know some extra bit of
information and clearly says how the UA would set this bit of information
based on something the user entered on the UA.

Defining something that all UAs will set to the same value or all proxies
will ignore is useless.

Cullen

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 25 Aug 2003 11:53:29 -0700

Proposing a requirement as a reply to own email on what's the requirement
....

A possible requirement is to indicate that a tel URL has been translated to
SIP URL and we wish other domains to sent it to the named domain then have
the named domain process it as a tel URL.

Cullen

------ Forwarded Message
From: Cullen Jennings <[email-masked]>
Date: Mon, 25 Aug 2003 11:48:36 -0700
To: <[email-masked]>
Subject: Re: AW: [Sip] SIPIT  Interop  problem with ;user=phone

Cullen

------ End of Forwarded Message